GDB (xrefs)

Public Attributes | List of all members
call_return_meta_info Struct Reference

## Public Attributes
struct gdbarch * | gdbarch
struct value * | function
struct type * | value_type
int | struct_return_p
CORE_ADDR | struct_addr
int | stack_temporaries_enabled

## Detailed Description

Definition at line 394 of file infcall.c.

## Member Data Documentation

## ◆ function

struct value* call_return_meta_info::function

Definition at line 400 of file infcall.c.

Referenced by get_call_return_value(), and new_call_thread_fsm().

## ◆ gdbarch

struct gdbarch* call_return_meta_info::gdbarch

Definition at line 397 of file infcall.c.

Referenced by get_call_return_value(), and new_call_thread_fsm().

## ◆ stack_temporaries_enabled

int call_return_meta_info::stack_temporaries_enabled

Definition at line 413 of file infcall.c.

## ◆ struct_addr

CORE_ADDR call_return_meta_info::struct_addr

Definition at line 410 of file infcall.c.

Referenced by get_call_return_value(), and new_call_thread_fsm().

## ◆ struct_return_p

int call_return_meta_info::struct_return_p

Definition at line 407 of file infcall.c.

Referenced by get_call_return_value(), and new_call_thread_fsm().

## ◆ value_type

struct type* call_return_meta_info::value_type

Definition at line 403 of file infcall.c.

Referenced by get_call_return_value(), and new_call_thread_fsm().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/infcall.c